## List routing rules `client.EmailRouting.Rules.List(ctx, params) (*V4PagePaginationArray[EmailRoutingRule], error)` **get** `/zones/{zone_id}/email/routing/rules` Lists existing routing rules. ### Parameters - `params RuleListParams` - `ZoneID param.Field[string]` Path param: Identifier. - `Enabled param.Field[RuleListParamsEnabled]` Query param: Filter by enabled routing rules. - `const RuleListParamsEnabledTrue RuleListParamsEnabled = true` - `const RuleListParamsEnabledFalse RuleListParamsEnabled = false` - `Page param.Field[float64]` Query param: Page number of paginated results. - `PerPage param.Field[float64]` Query param: Maximum number of results per page. ### Returns - `type EmailRoutingRule struct{…}` - `ID string` Routing rule identifier. - `Actions []Action` List actions patterns. - `Type ActionType` Type of supported action. - `const ActionTypeDrop ActionType = "drop"` - `const ActionTypeForward ActionType = "forward"` - `const ActionTypeWorker ActionType = "worker"` - `Value []string` - `Enabled EmailRoutingRuleEnabled` Routing rule status. - `const EmailRoutingRuleEnabledTrue EmailRoutingRuleEnabled = true` - `const EmailRoutingRuleEnabledFalse EmailRoutingRuleEnabled = false` - `Matchers []Matcher` Matching patterns to forward to your actions. - `Type MatcherType` Type of matcher. - `const MatcherTypeAll MatcherType = "all"` - `const MatcherTypeLiteral MatcherType = "literal"` - `Field MatcherField` Field for type matcher. - `const MatcherFieldTo MatcherField = "to"` - `Value string` Value for matcher. - `Name string` Routing rule name. - `Priority float64` Priority of the routing rule. - `Tag string` Routing rule tag. (Deprecated, replaced by routing rule identifier) ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/email_routing" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"), option.WithAPIEmail("user@example.com"), ) page, err := client.EmailRouting.Rules.List(context.TODO(), email_routing.RuleListParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "a7e6fb77503c41d8a7f3113c6918f10c", "actions": [ { "type": "forward", "value": [ "destinationaddress@example.net" ] } ], "enabled": true, "matchers": [ { "type": "literal", "field": "to", "value": "test@example.com" } ], "name": "Send to user@example.net rule.", "priority": 0, "tag": "a7e6fb77503c41d8a7f3113c6918f10c" } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 1, "total_pages": 100 } } ```